Bage's token signing keys
GET
/.well-known/jwks.json
const url = 'https://api.trybage.com/.well-known/jwks.json';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.trybage.com/.well-known/jwks.jsonCheck agent tokens with these keys (EdDSA, Ed25519), matching the token’s kid. Cache them for a few minutes.
Responses
Section titled “Responses”The keys.
Media typeapplication/json
object
keys
required
Array<object>
object
kty
required
string
crv
required
string
x
required
string
kid
required
string
use
required
string
alg
required
string
Example
{ "keys": [ { "kty": "OKP", "crv": "Ed25519", "use": "sig", "alg": "EdDSA" } ]}